> ## Documentation Index
> Fetch the complete documentation index at: https://www.krea.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedream 5 Pro

> Highest quality model with precise editing control.

## Pricing

<Note>Fixed API prices in USD.</Note>

| ResolutionTier | Reference Images |    Price |
| -------------- | ---------------- | -------: |
| 1.5k           | 0                | \$0.0473 |
| 1.5k           | 1                | \$0.0473 |
| 1.5k           | 2                | \$0.0504 |
| 1.5k           | 3                | \$0.0536 |
| 1.5k           | 4                | \$0.0567 |
| 1.5k           | 5                | \$0.0599 |
| 1.5k           | 6                |  \$0.063 |
| 1.5k           | 7                | \$0.0662 |
| 1.5k           | 8                | \$0.0693 |
| 1.5k           | 9                | \$0.0725 |
| 1.5k           | 10               | \$0.0756 |
| 2k             | 0                | \$0.0945 |
| 2k             | 1                | \$0.0945 |
| 2k             | 2                | \$0.0977 |
| 2k             | 3                | \$0.1008 |
| 2k             | 4                |  \$0.104 |
| 2k             | 5                | \$0.1071 |
| 2k             | 6                | \$0.1103 |
| 2k             | 7                | \$0.1134 |
| 2k             | 8                | \$0.1166 |
| 2k             | 9                | \$0.1197 |
| 2k             | 10               | \$0.1229 |

<Accordion title="Deprecated request aliases">
  These aliases are accepted for compatibility only and are not shown in the request schema.

  | Deprecated    | Use instead    | Accepted until |
  | ------------- | -------------- | -------------- |
  | `styleImages` | `style_images` | 2026-06-19     |
</Accordion>


## OpenAPI

````yaml https://api.krea.ai/openapi.json post /generate/image/bytedance/seedream-5-pro
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
  - name: Video Enhance
    description: Video enhance and upscale endpoints
  - name: 3D
    description: 3D model generation and export endpoints
paths:
  /generate/image/bytedance/seedream-5-pro:
    post:
      tags:
        - Image
      summary: Seedream 5 Pro
      description: Highest quality model with precise editing control.
      parameters:
        - name: X-Webhook-URL
          in: header
          required: false
          schema:
            type: string
            format: uri
          description: >-
            URL to receive a POST request when the job completes. The webhook
            will receive the job data including results.
      requestBody:
        content:
          application/json:
            example:
              prompt: >-
                A gothic cathedral, its spires reaching for the heavens,
                surrounded by blooming gardens.
              width: 1024
              height: 1024
            schema:
              type: object
              properties:
                prompt:
                  type: string
                  minLength: 1
                width:
                  type: number
                  maximum: 4096
                height:
                  type: number
                  maximum: 4096
                seed:
                  default: 1337
                  type: number
                style_images:
                  description: Image prompts to use for the generation
                  maxItems: 10
                  type: array
                  items:
                    type: object
                    properties:
                      strength:
                        type: number
                        minimum: -2
                        maximum: 2
                      url:
                        type: string
                        maxLength: 1024
                        format: uri
                        description: >-
                          Can be an external URL, base64 data URI, or uploaded
                          asset URL.
                    required:
                      - strength
              required:
                - prompt
                - width
                - height
              additionalProperties: false
      responses:
        '200':
          description: >-
            The resulting job data. This will be returned in a pending state
            until the job is completed. See
            [`/jobs/{id}`](#tag/default/get/jobs/{id}) for retrieving the
            results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  job_id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  status:
                    type: string
                    enum:
                      - backlogged
                      - queued
                      - scheduled
                      - processing
                      - sampling
                      - intermediate-complete
                      - completed
                      - failed
                      - cancelled
                  created_at:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                  completed_at:
                    type: 'null'
                  result:
                    type: 'null'
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                    additionalProperties: false
                required:
                  - job_id
                  - status
                  - created_at
                  - completed_at
                  - result
                additionalProperties: false
        '400':
          description: The request body is invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: You are not authenticated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '402':
          description: You have run out of credits.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '429':
          description: You have reached the maximum number of concurrent jobs.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````